From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/git/
Date: Fri, 04 Apr 2025 13:36:20 +0000 (UTC) [thread overview]
Message-ID: <1743773770.26e847107cc51a9ce80847d5128040b84c9947d4.graaff@gentoo> (raw)
commit: 26e847107cc51a9ce80847d5128040b84c9947d4
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 4 13:31:23 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Apr 4 13:36:10 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26e84710
dev-ruby/git: add 3.0.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/git/Manifest | 1 +
dev-ruby/git/git-3.0.0.ebuild | 50 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-ruby/git/Manifest b/dev-ruby/git/Manifest
index 7ad5cbe4e693..9d952e51b3fb 100644
--- a/dev-ruby/git/Manifest
+++ b/dev-ruby/git/Manifest
@@ -1,3 +1,4 @@
DIST git-1.19.1.tar.gz 177887 BLAKE2B 0da2a829679fd4e2d4b3aec5e88f421d221593729b827f2207bc3d26ce290ee2a41e8dde33b81138cf9df75fa1d1316fa5c69318a1247c627889f5c6971b8fd6 SHA512 4fb27cc2c59d15b0424ac16accc13d2310fec0710815b8deee399767b3cd9707cdf767a301cae271b4cd1ff6718cb955a6c86a9ea99076aaffbbadf595c64c0c
DIST git-2.3.0.tar.gz 194653 BLAKE2B a82ea8c7b8cd239de2cb4dd08f013412efcc7dfcd4c85839ff145b2998df4cf4da6cbf7b5942592b086741ed1fca0a3678bfb4ce5ab45c7c4a3259ce9c3c8d94 SHA512 6ca0a9f33fe4cb24b69035d80f689664558d3ebe868604e8592da225e14102fc572b472e7fd8db697c4338569a560ba012694a637d1dd9622fd33d06e9f55780
DIST git-2.3.3.tar.gz 199255 BLAKE2B 1e426c65088619dcf0c53829f397a990bd94b75fe2f638473c1d5ada4069d9936ae671beba5119c3fd63eb1233264a8161b1ea3e452423fa964d76bfcb7ad49c SHA512 8b4104db931fa497b7c23d12c62782dfae6b5952389abab9a96b7dc81e091e6826bd723521e9ef4009408d41d8b65eb62e19c01bb9895cb016c57c75f97ca67a
+DIST git-3.0.0.tar.gz 198966 BLAKE2B 79a9e95b6b460eb0be17f7eefc2c6330a3297569d5ce3bf9e951d55f97506efa35e7590630c000b3ebc580eb76a4579b65faa2ba68465eaf182f134be49a0856 SHA512 6290a5b7ed7de225ea3c793fc31a4f11cf79efaf73dc6191259d958378fd77aa6079c90befa209fce69d16665f2c13ea4f508445952971337f1593cc59bee596
diff --git a/dev-ruby/git/git-3.0.0.ebuild b/dev-ruby/git/git-3.0.0.ebuild
new file mode 100644
index 000000000000..b828f767b769
--- /dev/null
+++ b/dev-ruby/git/git-3.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="git.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library for using Git in Ruby"
+HOMEPAGE="https://github.com/ruby-git/ruby-git"
+SRC_URI="https://github.com/ruby-git/ruby-git/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="ruby-git-${PV}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~ppc ~ppc64"
+IUSE="test"
+
+DEPEND="test? ( >=dev-vcs/git-1.6.0.0 net-misc/openssh app-arch/tar )"
+RDEPEND=">=dev-vcs/git-1.6.0.0"
+
+ruby_add_rdepend "
+ >=dev-ruby/activesupport-5.0:*
+ >=dev-ruby/addressable-2.8:0
+ >=dev-ruby/process_executer-1.3:1
+ >=dev-ruby/rchardet-1.9:1
+"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler >=dev-ruby/minitar-0.9 >=dev-ruby/mocha-2.1:2 dev-ruby/test-unit:2 )"
+
+all_ruby_prepare() {
+ # Don't use hardcoded /tmp directory.
+ sed -i -e "s:/tmp:${TMPDIR}:" tests/units/test_archive.rb tests/test_helper.rb || die
+
+ sed -i -e 's/__dir__/"."/' -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Don't use deprecated key type that is removed from openssh
+ sed -i -e 's/-t dsa/-t rsa/' tests/units/test_signed_commits.rb || die
+}
+
+each_ruby_test() {
+ git config --global user.email "git@example.com" || die
+ git config --global user.name "GitExample" || die
+ ${RUBY} -Ilib:.:tests -e 'Dir["tests/**/test_*.rb"].each {|f| require f}' || die
+}
next reply other threads:[~2025-04-04 13:36 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-04-04 13:36 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-25 5:53 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/git/ Hans de Graaff
2025-03-31 16:53 Hans de Graaff
2025-03-31 16:53 Hans de Graaff
2024-12-06 7:34 Hans de Graaff
2024-11-22 7:47 Hans de Graaff
2024-10-24 6:33 Hans de Graaff
2024-10-24 6:33 Hans de Graaff
2024-10-06 11:35 Sam James
2024-09-17 16:29 Arthur Zamarin
2024-09-02 5:22 Hans de Graaff
2024-09-02 5:22 Hans de Graaff
2024-08-31 2:42 Ionen Wolkens
2024-08-27 5:40 Hans de Graaff
2024-08-27 5:40 Hans de Graaff
2024-07-18 6:47 Hans de Graaff
2024-07-18 6:47 Hans de Graaff
2024-07-18 6:47 Hans de Graaff
2024-07-18 6:47 Hans de Graaff
2024-06-29 8:53 Sam James
2024-06-29 5:16 Hans de Graaff
2024-01-31 16:45 Hans de Graaff
2024-01-15 7:40 Hans de Graaff
2024-01-14 8:30 Hans de Graaff
2023-12-29 7:47 Hans de Graaff
2023-07-12 5:41 Hans de Graaff
2023-07-12 5:41 Hans de Graaff
2023-04-24 15:29 Arthur Zamarin
2023-04-08 10:57 Arthur Zamarin
2023-03-24 7:00 Hans de Graaff
2023-03-24 7:00 Hans de Graaff
2023-03-04 8:28 Hans de Graaff
2023-03-04 8:28 Hans de Graaff
2023-02-04 7:41 Hans de Graaff
2023-02-04 7:41 Hans de Graaff
2023-02-04 7:41 Hans de Graaff
2023-01-13 7:57 Hans de Graaff
2023-01-09 6:33 Hans de Graaff
2023-01-09 6:33 Hans de Graaff
2023-01-08 11:57 Hans de Graaff
2023-01-08 8:33 Hans de Graaff
2022-12-15 6:51 Hans de Graaff
2022-12-15 6:51 Hans de Graaff
2022-12-15 6:51 Hans de Graaff
2022-08-19 5:47 Hans de Graaff
2022-08-19 5:47 Hans de Graaff
2022-05-06 7:13 Hans de Graaff
2022-04-19 5:09 Hans de Graaff
2022-04-19 5:09 Hans de Graaff
2022-01-15 6:29 Hans de Graaff
2022-01-15 6:29 Hans de Graaff
2021-12-25 7:42 Hans de Graaff
2021-12-25 7:42 Hans de Graaff
2021-07-09 6:55 Hans de Graaff
2020-08-21 6:51 Hans de Graaff
2020-07-12 6:35 Hans de Graaff
2020-07-11 16:05 Sam James
2020-07-11 3:50 Sam James
2020-06-20 14:49 Thomas Deutschmann
2020-05-21 5:15 Hans de Graaff
2019-11-16 9:13 Hans de Graaff
2019-07-22 13:03 Hans de Graaff
2019-02-02 8:13 Hans de Graaff
2018-08-11 5:05 Hans de Graaff
2018-08-11 5:05 Hans de Graaff
2018-08-11 5:05 Hans de Graaff
2018-05-17 4:57 Hans de Graaff
2017-07-18 6:45 Hans de Graaff
2016-12-18 7:45 Hans de Graaff
2016-08-13 6:13 Hans de Graaff
2016-07-21 19:38 Hans de Graaff
2016-03-21 21:53 Manuel Rüger
2016-03-21 21:53 Manuel Rüger
2016-02-26 6:54 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1743773770.26e847107cc51a9ce80847d5128040b84c9947d4.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox